Page MenuHomeVyOS Platform

A collection of utilities supporting IPv6 or ipv4
In progress, LowPublicFEATURE REQUEST

Description

Common utility sets supporting IPv6 and IPv4 can help router administrators test or troubleshoot network problems in some cases, such as ndptool send and arping, sending and detecting NDP, etc

I intend to use the following path:

ndp interface <interface> type <type>
discovery ipv6 ndisc6 interface <interface> ip <ip>
discovery ipv6 rdisc6  interface <interface> ip <ip>
discovery ipv4 arping interface <interface> destip <destip>
discovery ipv4 arping interface <interface> destip <destip> duplicate
discovery ipv4 arping interface <interface> destip <destip> no-unicast
discovery ipv4 arping interface <interface> destip <destip> no-unicast duplicate
discovery ipv4 arping interface <interface> sourceip <sourceip> destip <destip>
traceroute ipv4 <host> tcp port <port>
traceroute ipv6 <host> tcp port <port>

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Related Objects

StatusSubtypeAssignedTask
ResolvedFEATURE REQUESTjack9603301
In progressFEATURE REQUESTjack9603301
In progressFEATURE REQUESTjack9603301
In progressFEATURE REQUESTjack9603301
ResolvedFEATURE REQUESTjack9603301

Event Timeline

jack9603301 renamed this task from A collection of utilities supporting IPv6 to A collection of utilities supporting IPv6 or ipv4.Jul 19 2020, 5:05 PM
jack9603301 claimed this task.
jack9603301 created this task.
jack9603301 updated the task description. (Show Details)
jack9603301 updated the task description. (Show Details)Jul 19 2020, 5:11 PM
jack9603301 updated the task description. (Show Details)Jul 19 2020, 5:13 PM
jack9603301 triaged this task as Low priority.Jul 20 2020, 8:11 AM
jack9603301 updated the task description. (Show Details)Jul 20 2020, 8:13 AM
jack9603301 updated the task description. (Show Details)Jul 20 2020, 2:56 PM
pasik added a subscriber: pasik.Jul 20 2020, 6:41 PM
jack9603301 updated the task description. (Show Details)Jul 21 2020, 4:54 PM
jack9603301 updated the task description. (Show Details)Jul 21 2020, 5:23 PM
jack9603301 updated the task description. (Show Details)
jack9603301 changed the status of subtask T2723: Support tcptraceroute from Open to In progress.Jul 22 2020, 3:42 AM
jack9603301 changed the status of subtask T2724: Support for IPv6 Toolset from Open to In progress.Jul 22 2020, 3:57 AM
jack9603301 updated the task description. (Show Details)Jul 22 2020, 6:26 AM
jack9603301 updated the task description. (Show Details)
jack9603301 updated the task description. (Show Details)
jack9603301 changed the task status from Open to In progress.Jul 22 2020, 9:07 AM
jack9603301 updated the task description. (Show Details)Jul 26 2020, 6:48 AM
jack9603301 changed the status of subtask T2723: Support tcptraceroute from In progress to Needs testing.Jul 26 2020, 6:52 AM
jack9603301 changed the status of subtask T2723: Support tcptraceroute from Needs testing to In progress.Aug 5 2020, 2:03 PM